> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get secret



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml get /cloud/v1/secrets/{project_id}/{region_id}/{secret_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 2606518da447
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v1/secrets/{project_id}/{region_id}/{secret_id}:
    get:
      tags:
        - Secrets
      summary: Get secret
      operationId: SecretViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: secret_id
          required: true
          description: Secret ID
          schema:
            description: Secret ID
            example: bfc7824b-31b6-4a28-a0c4-7df137139215
            examples:
              - bfc7824b-31b6-4a28-a0c4-7df137139215
            format: uuid4
            title: Secret Id
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecretSerializer'
components:
  schemas:
    SecretSerializer:
      properties:
        algorithm:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Metadata provided by a user or system for informational purposes.
            Defaults to None
          examples:
            - aes
          title: Algorithm
        bit_length:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: >-
            Metadata provided by a user or system for informational purposes.
            Value must be greater than zero. Defaults to None
          examples:
            - 256
          title: Bit Length
        content_types:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          default: null
          description: >-
            Describes the content-types that can be used to retrieve the
            payload. The content-type used with symmetric secrets is
            application/octet-stream
          examples:
            - default: application/octet-stream
          title: Content Types
        created:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: >-
            Datetime when the secret was created. The format is
            2020-01-01T12:00:00+00:00
          examples:
            - '2023-03-23T20:00:00+00:00'
          title: Created
        expiration:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: >-
            Datetime when the secret will expire. The format is
            2020-01-01T12:00:00+00:00. Defaults to None
          examples:
            - '2023-06-23T20:00:00+00:00'
          title: Expiration
        id:
          description: Secret uuid
          example: bfc7824b-31b6-4a28-a0c4-7df137139215
          examples:
            - bfc7824b-31b6-4a28-a0c4-7df137139215
          title: Id
          type: string
        mode:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Metadata provided by a user or system for informational purposes.
            Defaults to None
          examples:
            - cbc
          title: Mode
        name:
          description: Secret name
          example: AES key
          examples:
            - AES key
          title: Name
          type: string
        secret_type:
          $ref: '#/components/schemas/SecretTypesEnum'
          description: >-
            Secret type, base64 encoded. symmetric - Used for storing byte
            arrays such as keys suitable for symmetric encryption; public - Used
            for storing the public key of an asymmetric keypair; private - Used
            for storing the private key of an asymmetric keypair; passphrase -
            Used for storing plain text passphrases; certificate - Used for
            storing cryptographic certificates such as X.509 certificates;
            opaque - Used for backwards compatibility with previous versions of
            the API
          examples:
            - opaque
        status:
          description: Status
          example: ACTIVE
          examples:
            - ACTIVE
          title: Status
          type: string
      required:
        - name
        - id
        - secret_type
        - status
      title: SecretSerializer
      type: object
    SecretTypesEnum:
      enum:
        - certificate
        - opaque
        - passphrase
        - private
        - public
        - symmetric
      title: SecretTypesEnum
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````